library(lmtest)
library(car)
library(sandwich)
library(readxl)
#        olimpiada(  )
setwd("C:/tex docs/Data Science/Python_project")
olimpiada <- read_excel("olimpiada.xlsx")
#  
reg1 <- lm(econ ~ mat,data=olimpiada)
coeftest(reg1, vcov = vcovHC(reg1, type = "HC0"))
#  FE
olimpiada$index <- as.factor(olimpiada$index)
reg2 <- lm(econ ~ mat+index,data=olimpiada)
coeftest(reg2, vcov = vcovHC(reg2, type = "HC0"))
linearHypothesis(reg2, matchCoefs(reg2, "index"), vcov = vcovHC(reg2, type = "HC0"))
#  FE
olimpiada$year <- as.factor(olimpiada$year)
reg3 <- lm(econ ~ mat+index+year,data=olimpiada)
coeftest(reg3, vcov = vcovHC(reg3, type = "HC0"))
linearHypothesis(reg3, matchCoefs(reg3, "index"), vcov = vcovHC(reg3, type = "HC0"))
linearHypothesis(reg3, matchCoefs(reg3, "year"), vcov = vcovHC(reg3, type = "HC0"))
#    FE     ,     reg2

reg4 <- lm(econ ~ astr+mat+phys+inf+index+year,data=olimpiada)
coeftest(reg4, vcov = vcovHC(reg4, type = "HC0"))
linearHypothesis(reg4, matchCoefs(reg4, "index"), vcov = vcovHC(reg4, type = "HC0"))
linearHypothesis(reg4, matchCoefs(reg4, "year"), vcov = vcovHC(reg4, type = "HC0"))
reg5 <- lm(econ ~ astr+mat+phys+inf+index,data=olimpiada)
coeftest(reg5, vcov = vcovHC(reg5, type = "HC0"))
linearHypothesis(reg5, matchCoefs(reg5, "index"), vcov = vcovHC(reg5, type = "HC0"))
reg6 <- lm(econ ~ astr+mat+phys+inf+year,data=olimpiada)
coeftest(reg6, vcov = vcovHC(reg6, type = "HC0"))
linearHypothesis(reg6, matchCoefs(reg6, "year"), vcov = vcovHC(reg6, type = "HC0"))
#   , reg5   reg6,         4       
savehistory(file='Python_project.Rhistory')
